wxRuby Documentation Home

# Wx::GDIObject

This class allows platforms to implement functionality to optimise GDI objects, such
as Pen, Brush and Font. On Windows, the underling GDI objects are a scarce resource
and are cleaned up when a usage count goes to zero. On some platforms this
class may not have any special functionality.

Since the functionality of this class is platform-specific, it is not documented here in detail.

## Derived from

Object

## See also

Pen, Brush, Font

## Methods

- GDIObject.new

### GDIObject.new

[This page automatically generated from the Textile source at 2023-06-09 00:45:26 +0000]